Package wx :: Class TextUrlEvent

[frames | no frames]

## Type TextUrlEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        TextUrlEvent

Proxy of C++ TextUrlEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
MouseEvent | `GetMouseEvent(self)`
long | `GetURLEnd(self)`
long | `GetURLStart(self)`

Property Summary
| `MouseEvent`: See `GetMouseEvent`
| `thisown`: The membership flag
| `URLEnd`: See `GetURLEnd`
| `URLStart`: See `GetURLStart`

Method Details

### __init__(self, winid, evtMouse, start, end)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### MouseEvent

See `GetMouseEvent`

  Get Method:
    `GetMouseEvent`(self)

### thisown

The membership flag

### URLEnd

See `GetURLEnd`

  Get Method:
    `GetURLEnd`(self)

### URLStart

See `GetURLStart`

  Get Method:
    `GetURLStart`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:16 2007 | http://epydoc.sf.net